<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php');

if (isset($_POST['art_id_bod'])){ $art_id_bod=$_POST['art_id_bod'];}                        
if (isset($_POST['art_id'])){ $art_id=$_POST['art_id'];}                        
if (isset($_POST['art_referencia'])){ $art_referencia=$_POST['art_referencia'];}
if (isset($_POST['cantidad'])){$cantidad=$_POST['cantidad'];}
if (isset($_POST['precio_venta'])){ $precio_venta=$_POST['precio_venta'];}
if ($_POST['art_iva']>0){ $art_iva=$_POST['art_iva']; } else { $art_iva='0';}
if ($_POST['descuento']>0){ $descuento=$_POST['descuento']; } else { $descuento='0';}
if (isset($_POST['nombre'])){ $nombre=mb_strtoupper($_POST['nombre']);}
if (isset($_POST['tipo'])){ $tipo=$_POST['tipo'];}
if (isset($_POST['cambio'])){ $cambio=$_POST['cambio'];}
if (isset($_POST['com_id'])){ $com_id=$_POST['com_id'];}

if ($tipo=='articulo' and !empty($cantidad))
{
    $atri1=mysqli_query($con,"SELECT * FROM articulos_has_bodegas where art_id='$art_id_bod'");
    $atri1 = mysqli_fetch_array($atri1);
    $atributo1=$atri1['atributo1'];

    $atri11=mysqli_query($con,"SELECT * FROM atributos1 where atri_id='$atributo1'");
    $atri11 = mysqli_fetch_array($atri11);
    if (isset($atri11)) 
    {                    
        $atri_nombre=$atri11['atri_nombre'];
    }
    else
    {
        $atri_nombre='';
    }

    $atributo2=$atri1['atributo2'];
    $atri2=mysqli_query($con,"SELECT * FROM atributos2 where atri_id2='$atributo2'");
    $atri2 = mysqli_fetch_array($atri2);
    if (isset($atri2)) 
    {                    
        $atri_nombre2=' - '.$atri2['atri_nombre2'];
    }
    else
    {
        $atri_nombre2='';
    }

    $atributos=$atri_nombre .$atri_nombre2;

    if ($cambio=='ven') {
        $precio_venta1=$precio_venta;
    }
    else
    {
        $precio_venta1=1;
    }
    
    $can2=mysqli_query($con,"SELECT * FROM articulos_presentacion where pres_art_id='$art_id' and pres_defecto='si' ") or die(mysqli_error($con)); 
    $dato2=mysqli_fetch_array($can2);
    $pres_unidad=$dato2['pres_unidad'];

    $sqll=mysqli_query($con,"SELECT * FROM cotizacion_detalle_temp WHERE art_id_bod='$art_id_bod' and cott_art_id='$art_id'  and cambio='$cambio' and empresa='$empresa' and usuario='$usu_id' and cott_tipo='articulo'");
    if($dato=mysqli_fetch_array($sqll))
    { 
        $cott_id=$dato['cott_id'];            
        $cott_cantidad=$dato['cott_cantidad'];
        $suma=$cott_cantidad+$cantidad;
        
        $registros=mysqli_query($con,"UPDATE cotizacion_detalle_temp Set cott_cantidad='$suma',cott_precio='$precio_venta1' Where cott_id='$cott_id' and empresa='$empresa' and usuario='$usu_id' and cott_tipo='articulo'") or die(mysqli_error($con));
    }
    else
    {   
        $sql=mysqli_query($con,"INSERT INTO cotizacion_detalle_temp (art_id_bod,cott_art_id,cott_referencia,cott_nombre,cott_unidad,cott_x_cantidad,cott_cantidad,cott_iva,cott_desc,cott_precio,cott_tipo,usuario,cambio,empresa) 
        VALUES ('$art_id_bod','$art_id','$art_referencia','$nombre $atributos','$pres_unidad','1','$cantidad','$art_iva','$descuento','$precio_venta1','articulo','$usu_id','$cambio','$empresa')") or die(mysqli_error($con));

    }  
}
if ($tipo=='nuevo')
{
    $sql=mysqli_query($con,"INSERT INTO cotizacion_detalle_temp (cott_art_id,cott_referencia,cott_nombre,cott_unidad,cott_x_cantidad,cott_cantidad,cott_iva,cott_desc,cott_precio,cott_tipo,usuario,empresa) 
    VALUES ('$art_referencia','$art_referencia','$nombre','UND','1','$cantidad','$art_iva','$descuento','$precio_venta','nuevo','$usu_id','$empresa')") or die(mysqli_error($con));
}

if ($tipo=='detallado')
{
    $sqll=mysqli_query($con,"SELECT cott_art_id FROM cotizacion_detalle_temp WHERE cott_art_id='$art_id' and empresa='$empresa' and usuario='$usu_id' and cott_tipo='detallado' ") ;
    if($roww=mysqli_fetch_array($sqll))
    { 
        $can7=mysqli_query($con,"SELECT * FROM cotizacion_detalle_temp WHERE cott_art_id='$art_id' and empresa='$empresa' and usuario='$usu_id' and cott_tipo='detallado'") or die(mysqli_error($con));  
        while($dato=mysqli_fetch_array($can7))
        {
            $cott_art_id=$dato['cott_art_id'];            
            $c=$dato['cott_cantidad'];
            $suma=$c+$cantidad;
        }
        $registros=mysqli_query($con,"UPDATE cotizacion_detalle_temp Set cott_cantidad='$suma',cott_precio='$precio_venta' Where cott_art_id='$art_id' and empresa='$empresa' and usuario='$usu_id' and cott_tipo='detallado'") or die(mysqli_error($con));
    }
    else
    {   
       $sql=mysqli_query($con,"INSERT INTO cotizacion_detalle_temp (art_id_bod,cott_art_id,cott_referencia,cott_nombre,cott_cantidad,cott_iva,cott_desc,cott_precio,cott_tipo,usuario,cambio,empresa) 
        VALUES ('0','$art_id','$art_referencia','$nombre','$cantidad','$art_iva','$descuento','$precio_venta','detallado','$usu_id','ven','$empresa')") or die(mysqli_error($con));
    }
}

if ($tipo=='servicio')
{
    $sqll=mysqli_query($con,"SELECT * FROM cotizacion_detalle_temp WHERE cott_art_id='$art_id' and empresa='$empresa' and usuario='$usu_id' and cott_tipo='detallado'");
    if($dato1=mysqli_fetch_array($sqll))
    { 
        $cott_id=$dato1['cott_id'];            
        $cott_cantidad=$dato1['cott_cantidad'];
        $suma=$cott_cantidad+$cantidad;
        
        $registros=mysqli_query($con,"UPDATE cotizacion_detalle_temp Set cott_cantidad='$suma',cott_precio='$precio_venta' Where cott_id='$cott_id' and empresa='$empresa' and usuario='$usu_id' and cott_tipo='detallado'") or die(mysqli_error($con));
    }
    else
    {   
        $sql=mysqli_query($con,"INSERT INTO cotizacion_detalle_temp (art_id_bod,cott_art_id,cott_referencia,cott_nombre,cott_unidad,cott_x_cantidad,cott_cantidad,cott_iva,cott_desc,cott_precio,cott_tipo,usuario,cambio,empresa) 
        VALUES ('0','$art_id','$art_referencia','$nombre','UND','1','$cantidad','$art_iva','$descuento','$precio_venta','servicio','$usu_id','ven','$empresa')") or die(mysqli_error($con));

    }  ?>
<script>
     loadTabla();
</script>
<?php }

if ($tipo=='producto')
{
    $can0=mysqli_query($con,"SELECT MAX(cott_id)as cott_id FROM cotizacion_detalle_temp ") or die(mysqli_error($con)); 
    $dato0=mysqli_fetch_array($can0);
    $cott_id=$dato0['cott_id']+1;

    $sql=mysqli_query($con,"INSERT INTO cotizacion_detalle_temp (cott_id,art_id_bod,cott_art_id,cott_referencia,cott_nombre,cott_unidad,cott_x_cantidad,cott_cantidad,cott_iva,cott_desc,cott_precio,cott_tipo,usuario,cambio,empresa) 
    VALUES ('$cott_id','0','$art_id','$art_referencia','$nombre','UND','1','$cantidad','$art_iva','$descuento','$precio_venta','producto','$usu_id','ven','$empresa')") or die(mysqli_error($con));

    $sab=mysqli_query($con,"SELECT * FROM sabores_productos WHERE articulo_art_id='$art_id' and empresa='$empresa'")or die(mysqli_error($con));
    if ($res=mysqli_fetch_array($sab))
    { 
?>
        <script type="text/javascript">
        function redireccionar(){
            $('#myModal').modal('hide');
            $('body').removeClass('modal-open');
            $('.modal-backdrop').remove();
            document.getElementById('id02').style.display='active';
            $("#id02").trigger("click");
        } 
        setTimeout ("redireccionar()", 100); 
        </script>
        <input id="id02" type="hidden" style="visibility: none;" data-toggle="modal" data-target="#myart"></input>
        <form name="form_art" id="form_art">
            <div class="modal fade" id="myart" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true" data-backdrop="static">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h4 class="modal-title">SABORES</h4>
                        </div>
                        <div class="modal-body">
                            <div id="resultado_sabor"></div>
                            <div class="">
                                <input type="hidden" name="art_id" id="art_id<?php echo $art_id; ?>" value="<?php echo $art_id; ?>" >
                                <input type="hidden" name="cott_id" id="cott_id<?php echo $cott_id; ?>" value="<?php echo $cott_id; ?>" >
                                <?php
                                   $sab2=mysqli_query($con,"SELECT * FROM sabores_productos WHERE articulo_art_id='$art_id' and empresa='$empresa'")or die(mysqli_error($con));
                                   while ($sab1=mysqli_fetch_array($sab2))
                                        {
                                            $sab_id=$sab1['sab_id'];
                                ?>
                               
                                <input type="checkbox" id="sabor<?php echo $sab_id; ?>" name="sabor[]" value="<?php  echo $sab_id; ?>">
                                <label class="lab" for="sabor<?php echo $sab_id; ?>"><?php echo mb_strtoupper($sab1['sab_nombre']); ?></label>
                                <?php } ?> 
                            </div> <!-- /.form-group -->
                            <div class="modal-footer">
                                <button type="submit" id="btn_art" value="btn_art" class="btn btn-success"><i class="icon-ok"></i> Registrar</button>        
                            </div>
                        </div>
                    </div><!-- /.modal-content -->
                </div><!-- /.modal-dialog -->
            </div><!-- /.modal -->
        </form> 
        <script type="text/javascript">
        $("#form_art").submit(function( event ) {
            $('#btn_art').attr("disabled", true);
            var parametros = $(this).serialize();
            $.ajax({
                type: "POST",
                url: "php_cotizaciones/agregar_sabor_producto_temp.php",
                data: parametros,
                    beforeSend: function(objeto){
                    $('#resultado_sabor').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
                },
                success: function(datos){
                    $("#resultado_sabor").html(datos);
                    $('#btn_art').attr("disabled", false);
                    $('#myart').modal('hide');
                    $('body').removeClass('modal-open');
                    $('.modal-backdrop').remove();
                    loadTabla();
                }
            });
            event.preventDefault();
        })
        </script>
<?php   }   else   {  ?>
<script>
     loadTabla();
</script>

<?php   }  }  

if ($tipo=='combo')
{
    $can0=mysqli_query($con,"SELECT MAX(cdc_id)as cdc_id FROM cotizacion_detalle_combo_temp ") or die(mysqli_error($con)); 
    $dato0=mysqli_fetch_array($can0);
    $cdc_id=$dato0['cdc_id']+1;

    $insert_tmp=mysqli_query($con, "INSERT INTO cotizacion_detalle_combo_temp (cdc_id,combo_id,combo_referencia,combo_cantidad,combo_nombre,combo_precio,usuario,empresa) 
    VALUES ('$cdc_id','$com_id','$art_referencia','$cantidad','$nombre','$precio_venta','$usu_id','$empresa')");

    $sab=mysqli_query($con,"SELECT * FROM sabores_combos WHERE combo_id='$com_id' and empresa='$empresa'")or die(mysqli_error($con));
    if ($res=mysqli_fetch_array($sab))
    {  ?>

        <script type="text/javascript">
        function redireccionar(){
            $('#myModal').modal('hide');
            $('body').removeClass('modal-open');
            $('.modal-backdrop').remove();
            document.getElementById('id01').style.display='active';
            $("#id01").trigger("click");
        } 
        setTimeout ("redireccionar()", 100); 
        </script>
        <input id="id01" type="hidden" style="visibility: none;" data-toggle="modal" data-target="#mycombo"></input>
        <form name="form_combo" id="form_combo">
            <div class="modal fade" id="mycombo" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true" data-backdrop="static">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h4 class="modal-title">SABORES</h4>
                        </div>
                        <div class="modal-body">
                            <div id="resultado_sabor"></div>
                            <div class="">
                                <input type="hidden" name="com_id" id="com_id<?php echo $com_id; ?>" value="<?php echo $com_id; ?>" >
                                <input type="hidden" name="cdc_id" id="cdc_id<?php echo $cdc_id; ?>" value="<?php echo $cdc_id; ?>" >
                                <?php
                                   $sab2=mysqli_query($con,"SELECT * FROM sabores_combos WHERE combo_id='$com_id' and empresa='$empresa'")or die(mysqli_error($con));
                                   while ($sab1=mysqli_fetch_array($sab2))
                                        {
                                            $sab_id=$sab1['sab_id'];
                                ?>
                                <input type="checkbox" id="sabor<?php echo $sab_id; ?>" name="sabor[]" value="<?php  echo $sab_id; ?>">
                                <label class="lab" for="sabor<?php echo $sab_id; ?>"><?php echo mb_strtoupper($sab1['sab_nombre']); ?></label>
                                <?php } ?>                            
                            </div> <!-- /.form-group -->
                            <div class="modal-footer">
                                <button type="submit" id="btn_combo" value="btn_combo" class="btn btn-success"><i class="icon-ok"></i> Registrar</button>        
                            </div>
                        </div>
                    </div><!-- /.modal-content -->
                </div><!-- /.modal-dialog -->
            </div><!-- /.modal -->
        </form> 
        <script type="text/javascript">
        $("#form_combo").submit(function( event ) {
            $('#btn_combo').attr("disabled", true);
            var parametros = $(this).serialize();
            $.ajax({
                type: "POST",
                url: "php_cotizaciones/agregar_sabor_combo_temp.php",
                data: parametros,
                beforeSend: function(objeto){
                    $('#resultado_sabor').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
                },
                success: function(datos){
                    $("#resultado_sabor").html(datos);
                    $('#btn_combo').attr("disabled", false);
                    document.getElementById("form_combo").reset();
                    $('#mycombo').modal('hide');
                    $('body').removeClass('modal-open');
                    $('.modal-backdrop').remove();
                    loadTabla();
                }
            });
            event.preventDefault();
        })
        </script>
<?php   } else {  ?>
<script>
     loadTabla();
</script>
<?php  }     } ?>
<link href="css/checkbox.css" rel="stylesheet" media="all"> 